SDL_SetWindowIcon(3)

NAME
SDL_SetWindowIcon - Set the icon for a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowIcon(SDL_Window *window, SDL_Surface *icon);

FUNCTION PARAMETERS

window
    the window to change

icon
    an SDL_Surface
     structure containing the icon for the window

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.